Download it now!
Bug 51100 - EDITING copy / paste cells in particular .ods will CRASH
Summary: EDITING copy / paste cells in particular .ods will CRASH
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.beta1
Hardware: Other Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-06-14 21:33 UTC by Rainer Bielefeld Retired
Modified: 2012-07-06 07:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (34.41 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-06-14 21:33 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-06-14 21:33:24 UTC
Created attachment 63055 [details]
Sample Document

Steps how to reproduce ith Server Installation of  "LibreOffice 3.6.0beta1  German UI/Locale [Build-ID: 1f1cdd8] on German WIN7 Home Premium (64bit):

1. Open attached Sample  socument
2. Click C2, select C2:F2 using mouse
3. <control+c> for copy
4. Click C4
5. <control+v> for paste
   Expected: contents pasted
   Actual: Crash

ATTENTION: at least my PC frequently looses ability to open existing spreadsheets with any of my later Master or 3.6 server installations after such a crash. Sometimes you can use LibO master again after a reboot of the PC, at least 1 times I had to reinstall LibO Master server installation. Currently I do not understand all aspects of this issue. 

It seems this is not a general copy paste problem, I used 3.6.0beta1 for several tests, it often worked, but I saw a rather high crash rate. 

No problem with 3.5.5.1 and  with "LOdev 3.6.0alpha0+  English UI/Locale [Build ID: 9518535-d09cf17-8a74106-c695ecd-16afab (libreoffice-3-5-branch-point)]"  {Win-x86@9-Voreppe Win32 pull time 2012-02-29 04:21:51}. OS: German WIN7 Home Premium (64bit)
Comment 1 Rainer Bielefeld Retired 2012-06-15 11:06:27 UTC
Only a vague suspect: might have same roots as Bug 50679 - EDITING: Copying cell(s) with conditional formatting CRASH when paste?
Comment 2 Markus Mohrhard 2012-07-03 10:36:07 UTC
can you please test with beta3? I checked and I don't see a crash here.
Comment 3 Rainer Bielefeld Retired 2012-07-03 10:52:52 UTC
My later LibOs lost ability to open that document. I will try again later
Comment 4 Markus Mohrhard 2012-07-03 10:59:20 UTC
(In reply to comment #3)
> My later LibOs lost ability to open that document. I will try again later

Kohei fixed that problem yesterday so beta3 should be able to open the document.
Comment 5 Florian Reisinger 2012-07-06 07:43:54 UTC
Works